<?php

class EpsFailModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        parent::initContent();
        
        $errorCode = Tools::getValue('epserrorcode');

        $error_message = $this->getErrorMsg($errorCode);
        $this->context->smarty->assign(array(
            'error_message' => $error_message,
        ));
        
        $this->setTemplate('error.tpl');
    }

    public function getErrorMsg($errorCode)
    {
        $errors = array(
            'ERROR1' => $this->module->l('Die Zahlungsbestätigung konnte dem Händler nicht übermittelt werden. Bitte kontaktieren Sie den Händler.', 'fail'),
            'ERROR2' => $this->module->l('Ein technischer Fehler ist aufgetreten. Ihre Bestellung konnte nicht ausgeführt werden.', 'fail'),
            'ERROR3' => $this->module->l('Sie haben Ihre Bestellung storniert.', 'fail')
        );
        return $errors[$errorCode];
    }
}